> For the complete documentation index, see [llms.txt](https://docs.fulfillmenttools.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fulfillmenttools.com/documentation/apps/technical-requirements/zebra-printer.md).

# Zebra printer

[Zebra](https://www.zebra.com/ap/en.html) provides [Printer Setup Utilities](https://www.zebra.com/ap/en/support-downloads/printer-software/printer-setup-utilities.html) software that you can download for the relevant device. This is available for Android, iPhone, iPad, and Windows. Some settings can only be made with this software, while others can be configured directly on the printer, depending on the model.

Zebra also provides video tutorials for [Windows](https://www.youtube.com/watch?v=M7M4BPJCXC8) and [Android](https://www.youtube.com/watch?v=ZZv33AVtELg).

## Zebra printer setup

To print a paper label from the fulfillmenttools Android app using a Zebra printer, the printer must be configured first. This guide describes the setup process using the Zebra ZD621 model as an example.

{% hint style="info" %}

#### Prerequisites

* Android device
* fulfillmenttools Operations app installed on the device
* Zebra printer Link-OS version 6.3 onwards
* `android_native_printing_enabled` and `android_zebra_printing_enabled` configuration flags enabled on your tenant ([contact us](https://ocfulfillment.atlassian.net/servicedesk/customer/portal/1/group/13/create/47) if these haven't been activated as part of your setup)
  {% endhint %}

{% stepper %}
{% step %}
**Enable PDF support on the printer**

You can do this directly on the printer. Tap **Menu** > **Program Language** > **Emulation**, then select **PDF** and save the changes. The printer will restart.
{% endstep %}

{% step %}
**Enable PDF scaling**

To ensure labels have the same dimensions as the PDF documentation and avoid cutoffs, activate PDF scaling. To do this, you'll need a USB cable connection from a Windows PC to the Zebra Setup Utilities (ZSU) software. After connecting, use the **Open Communication With Printer** button to send commands to the printer.

```
! U1 setvar "apl.settings" "scale-to-fit"
```

For more information, see the [Zebra SGD Commands Documentation](https://www.zebra.com/content/dam/support-dam/en/documentation/unrestricted/guide/software/zpl-zbi2-pm-en.pdf).
{% endstep %}

{% step %}
**Connect the printer to the LAN or Wi-Fi**

The printer must be on the same network as the mobile device running the fulfillmenttools Android app.

If the printer has a LAN port, connect a network cable to it. To connect via Wi‑Fi, enter the network settings on the printer, then restart it.
{% endstep %}

{% step %}
**Use the Zebra printer to print the label**

In the fulfillmenttools app, select the delivery labels to print, then select the Zebra printer from the printer list, and tap **Print now**.
{% endstep %}
{% endstepper %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fulfillmenttools.com/documentation/apps/technical-requirements/zebra-printer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
